KDE 4.7 PyKDE API Reference

- KDE's Python API

# MutationEvent Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.Event
Namespace: DOM

## Detailed Description

Introduced in DOM Level 2

The MutationEvent interface provides specific contextual information associated with Mutation events.

## Enumerations
attrChangeType | { MODIFICATION, ADDITION, REMOVAL }
## Methods
| __init__ (self)
| __init__ (self, DOM.MutationEvent other)
| __init__ (self, DOM.Event other)
int | attrChange (self)
DOM.DOMString | attrName (self)
| initMutationEvent (self, DOM.DOMString typeArg, bool canBubbleArg, bool cancelableArg, DOM.Node relatedNodeArg, DOM.DOMString prevValueArg, DOM.DOMString newValueArg, DOM.DOMString attrNameArg, int attrChangeArg)
DOM.DOMString | newValue (self)
DOM.DOMString | prevValue (self)
DOM.Node | relatedNode (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.MutationEvent | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Event | other
| ) |  |  |

int attrChange | ( |  | self ) |

attrChange indicates the type of change which triggered the DOMAttrModified event. The values can be MODIFICATION, ADDITION, or REMOVAL.

DOM.DOMString attrName | ( |  | self ) |

attrName indicates the name of the changed Attr node in a DOMAttrModified event.

initMutationEvent | ( | self, |
|  | DOM.DOMString | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | DOM.Node | relatedNodeArg,
|  | DOM.DOMString | prevValueArg,
|  | DOM.DOMString | newValueArg,
|  | DOM.DOMString | attrNameArg,
|  | int | attrChangeArg
| ) |  |  |

The initMutationEvent method is used to initialize the value of a MutationEvent created through the DocumentEvent interface. This method may only be called before the MutationEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

Parameters:

  | typeArg | Specifies the event type.
  | canBubbleArg | Specifies whether or not the event can bubble.
  | cancelableArg | Specifies whether or not the event's default action can be prevented.
  | relatedNodeArg | Specifies the Event's related Node.
  | prevValueArg | Specifies the Event's prevValue attribute. This value may be null.
  | newValueArg | Specifies the Event's newValue attribute. This value may be null.
  | attrNameArg | Specifies the Event's attrName attribute. This value may be null.
  | attrChangeArg | Specifies the Event's attrChange attribute

DOM.DOMString newValue | ( |  | self ) |

newValue indicates the new value of the Attr node in DOMAttrModified events, and of the CharacterData node in DOMCharDataModified events.

DOM.DOMString prevValue | ( |  | self ) |

prevValue indicates the previous value of the Attr node in DOMAttrModified events, and of the CharacterData node in DOMCharDataModified events.

DOM.Node relatedNode | ( |  | self ) |

relatedNode is used to identify a secondary node related to a mutation event. For example, if a mutation event is dispatched to a node indicating that its parent has changed, the relatedNode is the changed parent. If an event is instead dispatched to a subtree indicating a node was changed within it, the relatedNode is the changed node. In the case of the DOMAttrModified event it indicates the Attr node which was modified, added, or removed.

## Enumeration Documentation

attrChangeType

An integer indicating in which way the Attr was changed.

ADDITION: The Attr was just added.

MODIFICATION: The Attr was modified in place.

REMOVAL: The Attr was just removed.

Enumerator:

  MODIFICATION = 1 |
  ADDITION = 2 |
  REMOVAL = 3 |